Public Class GOES_GradoBusinessObject
    Inherits BusinessObject(Of GOES_Grado)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New GOES_GradoDbHelper
    End Sub

    Public Sub New(ByVal entity As GOES_Grado)
        MyBase.New(entity)
        DbHelper = New GOES_GradoDbHelper
    End Sub

    Public Sub New(ByVal idPlaza As Int32, ByVal idCorrelativo As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idPlaza = idPlaza
        _Entity.idCorrelativo = idCorrelativo
        Dim Entity_Aux As GOES_Grado = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As GOES_GradoBusinessObject
    Protected Shared Function GetDdHelperInstance() As GOES_GradoDbHelper
        If _Instance Is Nothing Then
            _Instance = New GOES_GradoBusinessObject
        End If
    Return CType(_Instance.DbHelper, GOES_GradoDbHelper)
    End Function

    Public Shared Function GetListGOES_Grado(Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_Grado)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListGOES_GradoByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_Grado)
        Return GetDdHelperInstance.GetListGOES_GradoByPlaza(idPlaza, foreignLevel)
    End Function

#End Region
End Class
